Bug 1899970 - python-graphene fails to build: sources should be updated to graphene-3.0b4
Summary: python-graphene fails to build: sources should be updated to graphene-3.0b4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-graphene
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-20 13:55 UTC by Tomáš Hrnčiar
Modified: 2020-11-29 01:24 UTC (History)
3 users (show)

Fixed In Version: python-graphene-3.0b6-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-21 09:45:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-20 13:55:15 UTC
python-graphene fails to build with Python 3.10.0a2.

/var/tmp/rpm-tmp.IFT5mt: line 39: cd: graphene-3.0b4: No such file or directory

Seems like version was bumped to 3.0b4, but sources remained at 3.0b2.
https://src.fedoraproject.org/rpms/python-graphene/blob/master/f/sources

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01773162-python-graphene/

For all our attempts to build python-graphene with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-graphene/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Javier Peña 2020-11-20 14:00:43 UTC
Oops, sorry for the oversight. I'll update to the latest beta (3.0b6) and send a new build.

Comment 2 Tomáš Hrnčiar 2020-11-20 14:07:18 UTC
Thanks for the quick response and taking care of this. In the meantime, I opened PR[1] to fix it. Feel free to close it without merging.

[1] https://src.fedoraproject.org/rpms/python-graphene/pull-request/1

Comment 3 Fedora Update System 2020-11-20 14:08:15 UTC
FEDORA-2020-512985d21f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-512985d21f

Comment 4 Javier Peña 2020-11-20 14:10:34 UTC
The Rawhide build is failing due to an unrelated buildroot issue, I'll try a rebuild in a couple days.

Comment 5 Fedora Update System 2020-11-21 02:43:32 UTC
FEDORA-2020-512985d21f has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-512985d21f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-512985d21f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Miro Hrončok 2020-11-21 09:45:04 UTC
Thanks.

Comment 7 Fedora Update System 2020-11-29 01:24:59 UTC
FEDORA-2020-512985d21f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.